Views

Manage cell views within InfluxDB Cloud dashboards.
GET /api/v2/dashboards/{dashboardID}/cells/{cellID}/view

Retrieve the view for a cell

Parameters

Path parameters
dashboardID required string
The dashboard ID.
cellID required string
The cell ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}/view" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 A dashboard cells view
id string
links object
self string
name required string
properties required string
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID}/view

Update the view for a cell

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
cellID required string
The ID of the cell to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Content-Type: application/json
id string
links object
self string
name required string
properties required string
Example request Ask AI about this
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}/view" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "id": "ID",
  "links": {},
  "name": "NAME",
  "properties": "PROPERTIES"
}'

Responses

200 Updated cell view
id string
links object
self string
name required string
properties required string
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.

Was this page helpful?

Thank you for your feedback!